unit Unit1;

interface

uses
  Windows, Messages, SysUtils, Variants, Classes, Graphics, Controls, Forms,
  Dialogs, StdCtrls, OleCtnrs,comobj, ExtCtrls;

type
  TForm1 = class(TForm)
    Button4: TButton;
    OpenDialog1: TOpenDialog;
    Label1: TLabel;
    Button5: TButton;
    Button6: TButton;
    Button7: TButton;
    Button8: TButton;
    Button9: TButton;
    OleContainer2: TOleContainer;
    Button10: TButton;
    Splitter1: TSplitter;
    Button1: TButton;
    Button2: TButton;
    Button3: TButton;
    procedure Button1Click(Sender: TObject);
    procedure Button2Click(Sender: TObject);
    procedure Button4Click(Sender: TObject);
    procedure Button5Click(Sender: TObject);
    procedure Button7Click(Sender: TObject);
    procedure Button8Click(Sender: TObject);
    procedure Button9Click(Sender: TObject);
    procedure Button6Click(Sender: TObject);
    procedure Button10Click(Sender: TObject);
    procedure Button3Click(Sender: TObject);
    procedure FormCreate(Sender: TObject);
  private
    { Private declarations }
  public
    { Public declarations }
  end;
const
  wdDoNotSaveChanges = 0;
  wdSaveChanges = -1;
  wdPromptToSaveChanges=-2;
  wdWindowStateMaximize = 1;
  wdWord9TableBehavior= 1;
  wdAutoFitFixed=0;
  wdCharacter=1;
  wdLine=5;
  wdCell=12;
var
  Form1: TForm1;
    WordA: OLEVariant;
  folder_b: string;
implementation

{$R *.dfm}

//dodaj tekst sformatowany
procedure TForm1.Button1Click(Sender: TObject);
begin
   WordA.Selection.TypeParagraph;
   WordA.Selection.TypeText('abc');
   WordA.Selection.Style:='Nagłówek 1';
   WordA.Selection.TypeParagraph;
   WordA.Selection.TypeText('def');
end;

//dodaj obraz z katalogu bieżącego
procedure TForm1.Button2Click(Sender: TObject);
begin
   //obraz wstawiany jest w miejscu, gdzie aktualnie znajduje się kursor
   WordA.Selection.InlineShapes.AddPicture(
   folder_b+'\logo.bmp');
end;
//zamknij OLEContainer
procedure TForm1.Button4Click(Sender: TObject);
begin
  Olecontainer2.Close;
  OleContainer2.SaveAsDocument('bb.doc');
  Olecontainer2.DestroyObject;
end;


procedure TForm1.Button5Click(Sender: TObject);
begin
 try
  WordA:=CreateOleObject('Word.Application');
  //If not VarIsEmpty(WordA) then
   WordA.Visible :=false;
 except
    Showmessage('Nie można utworzyć obiektu MSWord'+#13+'Brak Zainstalowanego Worda lub inny problem');
 end;

end;
//zamknij dokument
procedure TForm1.Button7Click(Sender: TObject);
begin
  WordA.Documents.Close(wdPromptToSaveChanges);
end;


procedure TForm1.Button8Click(Sender: TObject);
begin
  WordA.Quit;//(wdSaveChanges);
end;


//wyswietl dokument w OLEContainer
procedure TForm1.Button9Click(Sender: TObject);
begin
  Opendialog1.InitialDir:=GetCurrentdir;
  if OpenDialog1.Execute then
     Olecontainer2.CreateObjectFromFile(Opendialog1.FileName,false);
  //lub otwórz dokument w Wordzie  WordA.Documents.Open(Opendialog1.FileName);
end;

procedure TForm1.Button6Click(Sender: TObject);
begin
   WordA.Documents.Add;
    {:= to parametr metody
    = to przypisanie :=}
end;
//zapisz
procedure TForm1.Button10Click(Sender: TObject);
begin
    WordA.ActiveDocument.SaveAs(folder_b+'\'+'test.doc');
end;


//dodaj tabele
procedure TForm1.Button3Click(Sender: TObject);
//var tab: array[1..5,1..5] of integer;
begin
   //rysuj tabele 10x10 od biezacego polozenia kursora
    WordA.ActiveDocument.Tables.Add(WordA.Selection.Range,10,10,
                 wdWord9TableBehavior,wdAutoFitFixed);
    //napis w biezacej komórce
    WordA.Selection.TypeText('xxx');
    //zmiana stylu tabeli
    //WordA.Selection.Tables.Style:='Jasne cieniowanie — akcent 1';
    //przesuniecie aktywnej komórki o 4 linie w dól
    WordA.Selection.MoveDown(wdLine,4);
    //przesuniecie aktywnej komórki o 4 komórki w prawo
    WordA.Selection.MoveRight(wdCell,4);
    //wpisanie tekstu do aktywnej komórki
    WordA.Selection.TypeText('bbb');
    //zmiana tla aktywnej komórki na czerwone
    WordA.Selection.Shading.BackgroundPatternColor:=255;//wdColorYellow);
end;

procedure TForm1.FormCreate(Sender: TObject);
begin
  folder_b:=GetCurrentDir;
end;

end.
